pth (2.0.7-20) unstable; urgency=low

  [ NIIBE Yutaka ]
  * debian/control (Standards-Version): Conforms to 3.9.5.
  
  [ Erwan Prioul ]
  * debian/patches/08-powerpc64le.diff: New (Closes: #755899).
  * debian/patches/series: Updated.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 26 Aug 2014 02:07:30 +0000

pth (2.0.7-19) unstable; urgency=low

  * debian/control: Remove Multi-arch from libpth-dev.
    [pth-dbg] (Depends): Remove libpth-dev.
  * debian/rules: Add _FORTIFY_SOURCE=0 for m68k.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 10 Jul 2013 00:49:32 +0000

pth (2.0.7-18) unstable; urgency=low

  * debian/control (Description): Remove THE.
    Add Multi-arch to libpth-dev and pth-dbg.
  * debian/watch: Update.
  * debian/rules: Remove _FORTIFY_SOURCE=0 thing, as we have newer libc and
    fix for newer kernel now.
  * debian/patches/07-test_uctx_fix.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 08 Jul 2013 11:31:46 +0000

pth (2.0.7-17) unstable; urgency=low

  [ NIIBE Yutaka ]
  * debian/patches/05-linux_3.patch: New.
  * debian/patches/06-ldflags.patch: New.
  * debian/control (Standards-Version): Conforms to 3.9.4.

  [ Frédéric Brière ]
  * Multi-arch support (Closes: 698949).
  * debian/{libpth20.install,libpth-dev.install}: Update for multi-arch.
  * debian/compat: Require 9.
  * debian/control (Build-Depends): Require debhelper >=9.
    (Multi-Arch, Pre-Depends): Added.

  [ Jani Monoses ]
  * debian/patches/04-exit_on_failed_test.patch: New.
  * debian/rules: disable _FORTIFY_SOURCE for armel and armhf build.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 08 Jul 2013 08:16:40 +0000

pth (2.0.7-16) unstable; urgency=low

  * debian/patches/03-hurd-pth_mctx.patch: New file.
    Added workaround for GNU/Hurd to fix FTBFS (Closes: #466115).

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 12 May 2010 19:57:47 +0900

pth (2.0.7-15) unstable; urgency=low

  * debian/control (Maintainer): New maintainer (Closes: #543857).
    (Standards-Version): Bumped to 3.8.4.
    (Build-Depends): Specify newer versions for debhelper and quilt.
    Removed libc6-dev.
  * debian/copyright: Updated.
  * debian/patches/01-ia64.patch: Investigated original patch, 
    then reviewed it again and added information.
  * debian/patches/02-configure.patch: New file.
  * debian/libpth20.symbols: New file.
  * debian/watch: New file.
  * debian/rules: Write from scratch based on sample debian/rules of
    dh-make.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 12 May 2010 09:22:53 +0900
  
pth (2.0.7-14) unstable; urgency=low

  * Wrapping build-depends.
  * Adding misc depends.
  * Removing unused lintian overrides.
  * Removing shlibs file.
  * Updating package to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 09:35:58 +0200

pth (2.0.7-13) unstable; urgency=low

  * Replacing obsolete dh_clean -k with dh_prep.
  * Updating section of the debug package.
  * Using correct rfc-2822 date formats in changelog.
  * Updating package to standards version 3.8.2.
  * Updating year in copyright.
  * Using quilt rather than dpatch.
  * Updating rules file to the current state of the art.

 -- Daniel Baumann <daniel@debian.org>  Fri, 17 Jul 2009 01:22:39 +0200

pth (2.0.7-12) unstable; urgency=low

  * Also enforcing fixed libc6-dev on sparc, thanks to Moritz
    Muehlenhoff <jmm@inutil.org>.

 -- Daniel Baumann <daniel@debian.org>  Tue, 07 Oct 2008 12:29:00 +0200

pth (2.0.7-11) unstable; urgency=low

  * Acknowledge NMU (Closes: #492779).
  * Correcting indenting in copyright file.
  * Updatingto debhelper 7.
  * Updating to standards 3.8.0.
  * Updating vcs fields in control file.
  * Using patch-stamp rather than patch in rules file.

 -- Daniel Baumann <daniel@debian.org>  Tue, 07 Oct 2008 06:38:00 +0200

pth (2.0.7-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: add versioned libc6-dev for hppa to force
    compilation with *context implementation.
    Closes: #492779.

 -- Thomas Viehmann <tv@beamnet.de>  Mon, 06 Oct 2008 21:20:11 +0200

pth (2.0.7-10) unstable; urgency=low

  * Adding pth-dbg lintian overrides.
  * Relaxing shlibs.
  * Reordering rules file.
  * Rewriting copyright file in machine-interpretable format.
  * Removing watch file.
  * Updating pth-dbg depends in control.
  * Adding vcs fields in control file.
  * Updating package to debhelper 6.
  * Removing useless whitespaces in changelog file.
  * Reverting config.guess and config.sub to upstream.

 -- Daniel Baumann <daniel@debian.org>  Thu, 17 Apr 2008 21:34:00 +0200

pth (2.0.7-9) unstable; urgency=low

  * Bumping to new policy.
  * Using new homepage field in control.
  * Don't hide make errors in clean target of rules.
  * Adding fail-missing to dh_install call in rules.

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 17:01:00 +0100

pth (2.0.7-8) unstable; urgency=low

  * Added proper timestamp to a previous changelog entry.

 -- Daniel Baumann <daniel@debian.org>  Tue, 15 May 2007 15:02:00 +0200

pth (2.0.7-7) unstable; urgency=low

  * Removed old provides/conflicts/replaces. Only two packages require a
    binNMU.
  * Minor cleanups.

 -- Daniel Baumann <daniel@debian.org>  Tue, 01 May 2007 13:31:00 +0200

pth (2.0.7-6) unstable; urgency=medium

  * Re-added previously removed sarge conflicts for etch migration.

 -- Daniel Baumann <daniel@debian.org>  Sun, 04 Mar 2007 13:22:00 +0100

pth (2.0.7-5) unstable; urgency=medium

  * Removing libpthread2 and libpthread-dev (Closes: #410692).

 -- Daniel Baumann <daniel@debian.org>  Tue, 27 Feb 2007 22:05:00 +0100

pth (2.0.7-4) unstable; urgency=medium

  * Added missing depends to the previous, wrong, package names
    (Closes: #390850, #390851).

 -- Daniel Baumann <daniel@debian.org>  Wed, 04 Oct 2006 10:58:00 +0200

pth (2.0.7-3) unstable; urgency=medium

  * Added divertion for /usr/lib/libpthread.a in libpthread-dev
    (Closes: #379413).
  * Renamed libpth2 to libpth20 and libpthread2 to libpthread20 to match the
    soname.
  * Removed lintian overrides.
  * Bumped shlibs.
  * Added libpthread20 as depends to pth-dbg.

 -- Daniel Baumann <daniel@debian.org>  Fri, 22 Sep 2006 19:22:00 +0200

pth (2.0.7-2) unstable; urgency=low

  * New email address.
  * Added lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Sat, 08 Jul 2006 14:13:00 +0200

pth (2.0.7-1) unstable; urgency=low

  * New maintainer (Closes: #356846).
  * New upstream release (Closes: #332338):
    - ships fixed pth.m4 (Closes: #249328).
  * Acknowledge NMU (Closes: #285408, #305290, #312124).
  * Redone debian-directory:
    - removed libpth-prof package
    - renamed libpth-dbg to pth-dbg, contains now *only* the debug symbols, not
      the whole library anymore
    - libpthread is always build now (the previous skip for kfreebsd matched all
      other architectures, by mistake, too)
    - using dpatch for upstream modifications now
    - don't know if the manpages were included already before, now they are
      (Closes: #197962).

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Sun, 25 Jun 2006 08:02:00 +0200

pth (2.0.1-2.1) unstable; urgency=low

  * NMU.
  * Don't enable libpthread2 on k*bsd (closes: bug#312124).
  * Fixed pth.m4 (closes: bug#305290).
  * Fixed cross build (closes: bug#285408).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 06 Jul 2005 23:36:30 +0200

pth (2.0.1-2) unstable; urgency=high

  * Bumped Standards-Version to 3.6.1. No changes required.
  * Forced locale to C in debian/rules to prevent errors with UTF8 and
    gawk. Thanks Steve (closes: 267683)

 -- Luis Bustamante <luferbu@fluidsignal.com>  Thu, 02 Sep 2004 14:46:38 +0200

pth (2.0.1-1) unstable; urgency=high

  * The "I'm still alive" release
  * New upstream release
  * Acknowledging NMU fixes. Thanks guys. (closes: #218011, #218397, #186987, #237209, #225780)

 -- Luis Bustamante <luferbu@fluidsignal.com>  Thu, 02 Sep 2004 11:34:30 +0200

pth (2.0.0-1.5) unstable; urgency=low

  * NMU durings Darmstadt BSP
  * add dependency for dbg-package. Closes: #263771

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 21 Aug 2004 17:05:00 +0200

pth (2.0.0-1.4) unstable; urgency=low

  * NMU
  * Moving library development packages from 'devel' to 'libdevel' section.
    (This fixes an override disparity the installer complained about).

 -- Robert Millan <rmh@debian.org>  Sat, 24 Jul 2004 23:42:00 +0200

pth (2.0.0-1.3) unstable; urgency=low

  * NMU
  * Provide libpthread2 and libpthread-dev for GNU/k*BSD. (Closes: #218011)
  * Update libtool. (Closes: #218397)
  * Fix minor "informations" syntax error. (Closes: #186987)

 -- Robert Millan <rmh@debian.org>  Sat, 24 Jul 2004 18:09:56 +0200

pth (2.0.0-1.2) unstable; urgency=low

  * NMU
  * Fix soname (change 2 to 20 in debian/libpth2.shlibs).  Closes: #237209

 -- LaMont Jones <lamont@debian.org>  Sat, 26 Jun 2004 00:04:41 -0600

pth (2.0.0-1.1) unstable; urgency=low

  * NMU
  * Apply patch from bts; add make test in build target.  Closes: #225780

 -- LaMont Jones <lamont@ia.mmjgroup.com>  Mon, 09 Feb 2004 21:15:52 -0700

pth (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Updated standards to 3.5.8.

 -- Luis Bustamante <luferbu@fluidsignal.com>  Tue, 04 Mar 2003 16:03:19 -0500


pth (1.4.1-4) unstable; urgency=low

  * Fixed bashism in debian/rules. (Closes: #153842)
  * Changed maintainer address.

 -- Luis Bustamante <luferbu@fluidsignal.com>  Sat, 27 Jul 2002 19:50:32 -0500

pth (1.4.1-3) unstable; urgency=low

  * New maintainer. (Closes: #146952)

 -- Luis Bustamante <luferbu@debian.org>  Tue, 14 May 2002 14:59:36 -0500

pth (1.4.1-2) unstable; urgency=low

  * libpth-dbg does not distribute static libraries but shared ones only.

 -- Domenico Andreoli <cavok@debian.org>  Sat, 23 Mar 2002 16:49:49 +0100

pth (1.4.1-1) unstable; urgency=low

  * New upstream version.

 -- Domenico Andreoli <cavok@debian.org>  Thu, 14 Mar 2002 18:19:32 +0100

pth (1.4.0-3) unstable; urgency=low

  * Adjusted for NetBSD where Pthreads interface is now built and
    installed. Patch courtesy of Joel Baker (Closes: #133439).
  * Package relationship reworked:
    - libpth14 does not only conflict with the older libpth-dbg,
      libpth-prof and libpth-dev but also replace them forcing their
      automatic removal
    - libpth-dbg and libpth-prof now conflict and replace the older
      countrparties libpth13-dbg and libpth13-prof. This way installing
      the newers removes automagically the olders.

 -- Domenico Andreoli <cavok@debian.org>  Thu, 14 Feb 2002 01:28:39 +0100

pth (1.4.0-2) unstable; urgency=low

  * Fixed bug in debian/rules that made libpth-dbg and libpth-prof
    packages empty.
  * Fixed a lack of quotation in a test condition of ltmain.sh.
  * Fixed some typos in package descriptions
    (Closes: #125018, #125019, #125020, #125024).
  * Acknowledged NMU, courtesy of LaMont Jones (Closes: #95002).

 -- Domenico Andreoli <cavok@debian.org>  Tue, 08 Jan 2002 01:14:09 +0100

pth (1.4.0-1.1) unstable; urgency=low

  * Non maintainer upload.
  * Re-run libtoolize && aclocal for new arch support (Closes: #95002).

 -- LaMont Jones <lamont@debian.org>  Tue, 25 Dec 2001 16:35:05 -0700

pth (1.4.0-1) unstable; urgency=low

  * New upstream version.
  * New debian maintainer (Closes: #123493).
  * Added Build-Depends (Closes: #104306).

 -- Domenico Andreoli <cavok@debian.org>  Thu, 13 Dec 2001 00:32:11 +0100

libpth (1.3.7-3.1) unstable; urgency=medium

  * Run libtoolize to get support for new architectures (Closes: #95002).

 -- LaMont Jones <lamont@debian.org>  Mon, 09 Jul 2001 21:39:34 -0600

libpth (1.3.7-3) unstable; urgency=medium

  * Re-build agains new libc packages to reflect changes to nfds_t.
    Thanks to Thomas Muldowney for this note.

 -- Raphael Bossek <bossekr@debian.org>  Fri, 23 Feb 2001 18:41:11 +0100

libpth (1.3.7-2) unstable; urgency=low

  * Already fixed using atomaticaly shlibs creation by dh_shlibs
    (Closes: #64109).

 -- Raphael Bossek <bossekr@debian.org>  Sun, 14 Sep 2003 17:02:58 +0200

libpth (1.3.7-1) unstable; urgency=low

  * New upstream version.

 -- Raphael Bossek <bossekr@debian.org>  Sat, 05 Aug 2000 19:45:37 +0200

libpth (1.3.5-1) unstable; urgency=low

  * New upstream version.

 -- Raphael Bossek <bossekr@debian.org>  Wed, 19 Apr 2000 21:11:32 +0200

libpth (1.3.4-1) unstable; urgency=low

  * New upstream version.

 -- Raphael Bossek <bossekr@debian.org>  Sun, 16 Apr 2000 18:17:15 +0200

libpth (1.3.3-2) unstable; urgency=low

  * Dark rejected if because of frozen so we leave it in unstable only
    (Closes: #59437).

 -- Raphael Bossek <bossekr@debian.org>  Thu, 23 Mar 2000 20:43:54 +0100

libpth (1.3.3-1) unstable; urgency=low

  * New upstream version.
  * Under Solaris add --enable-optimize we now also check for the compiler
    option -fast.
  * Fixed AC_COMPILER_OPTION macro in aclocal.m4.
  * Fixed semantics of pth_cond_notify() to match POSIX.
  * Allow pth_yield(<tid>) to yield also to <tid> if <tid> is a freshly
    spawned thread.
  * Fixed internal pth_pqueue_delete() and pth_pqueue_tail() function.
  * API CHANGE: Changed pth_time(int,int) to pth_time(long,long) and
    pth_timeout(int,int) to pth_timeout(long,long).
  * Cleaned up source code even more by making sure "signed", "unsigned"
    and "const" qualifiers are used correctly and consistently.
  * Changed default stack size from 32kB to 65kB.
  * Fixed make depend.
  * Fixed make install for pth.m4.

 -- Raphael Bossek <bossekr@debian.org>  Fri, 10 Mar 2000 23:09:49 +0100

libpth (1.3.2-2) unstable; urgency=low

  * Some build problems resolved (Closes: #59437).
  * libpth13 replaces libpth-dev packages with different versions now.

 -- Raphael Bossek <bossekr@debian.org>  Tue, 07 Mar 2000 14:48:17 +0100

libpth (1.3.2-1) unstable; urgency=low

  * New upstream version.

 -- Raphael Bossek <bossekr@debian.org>  Thu, 24 Feb 2000 18:36:29 +0100

libpth (1.2.3-2) frozen unstable; urgency=low

  * Examples work again (Closes: #57474).
  * Package build process does not install files in directries any more
    (Closes: #57707).
  * Corrects grave blocking problem with pth_connect_ev (Closes: #57870).

 -- Raphael Bossek <bossekr@debian.org>  Sun, 13 Feb 2000 07:42:28 +0100

libpth (1.2.3-1) frozen unstable; urgency=low

  * New upstream version.
  * Fix pthread_cond_timedwait by making it more POSIX compliant.
  * Added more complete Linux support for --enable-syscall-hard.
  * Added a few more errno_shild sections.
  * Use SYS__newselect instead of SYS_select under Linux.
  * Removed +DAportable from HPUX flags to avoid problems.
  * Added a workround in Makefile.in.
  * Fixed example in pth manual page.
  * Fixed memory leaks in some test programs.

 -- Raphael Bossek <bossekr@debian.org>  Sat, 05 Feb 2000 12:59:55 +0100

libpth (1.2.2-3) frozen unstable; urgency=low

  * Related to freeze state of potato this package goes to frozen and unstable.

 -- Raphael Bossek <bossekr@debian.org>  Fri, 21 Jan 2000 09:14:11 +0100

libpth (1.2.2-2) unstable; urgency=low

  * shlib entry changed.

 -- Raphael Bossek <bossekr@debian.org>  Wed, 19 Jan 2000 15:24:21 +0100

libpth (1.2.2-1) unstable; urgency=low

  * New upstream version.

 -- Raphael Bossek <bossekr@debian.org>  Sun, 09 Jan 2000 15:41:46 +0100

libpth (1.2.1-1) unstable; urgency=low

  * New upstream version.

 -- Raphael Bossek <bossekr@debian.org>  Mon, 29 Nov 1999 14:49:45 +0100

libpth (1.2.0-3) unstable; urgency=low

  * libpth-dev dependency problems with old version resolved
    (Closes: #49795, #49865).

 -- Raphael Bossek <bossekr@debian.org>  Sat, 13 Nov 1999 02:37:37 +0100

libpth (1.2.0-2) unstable; urgency=low

  * libpth-dev dependency resolved (Closes: #49543).
  * Typo in description removed (Closes: #49544).
  * Wrong shared library version handling resolved.

 -- Raphael Bossek <bossekr@debian.org>  Wed, 10 Nov 1999 11:22:05 +0100

libpth (1.2.0-1) unstable; urgency=low

  * New upstream version.

 -- Raphael Bossek <bossekr@debian.org>  Sun, 31 Oct 1999 23:18:35 +0200

libpth (1.1.6-1) unstable; urgency=low

  * New upstream version.
  * FHS 2.0 compilent.

 -- Raphael Bossek <bossekr@debian.org>  Sat, 02 Oct 1999 10:46:25 +0200

libpth (1.1.5-1) unstable; urgency=low

  * New upstream version.

 -- Raphael Bossek <bossekr@debian.org>  Sat, 04 Sep 1999 12:21:42 +0200

libpth (1.1.3-1) unstable; urgency=low

  * New upstream version.
  * Applied patch for alpha build process (Closes: #43278).
  * Patch from Roman Hodek applied for m68k compatibility within
    pth_mctx.c (Closes: #43613).
  * Confirms with debian policy 3.0.1.

 -- Raphael Bossek <bossekr@debian.org>  Fri, 27 Aug 1999 19:04:13 +0200

libpth (1.1.0-1) unstable; urgency=low

  * New upstream version.

 -- Raphael Bossek <bossekr@debian.org>  Thu, 19 Aug 1999 20:56:23 +0200

libpth (1.0.6-1) unstable; urgency=low

  * New upstream version.
  * Debian copyright notice corrected.
  * postinst script completed.
  * Manual pages overwritting removed (Closes: #43186, #43193).

 -- Raphael Bossek <bossekr@debian.org>  Sun, 15 Aug 1999 19:40:24 +0200

libpth (1.0.5-1) unstable; urgency=low

  * New upstream version.

 -- Raphael Bossek <bossekr@debian.org>  Thu, 10 Aug 1999 22:58:31 +0200

libpth (1.0.4-1) unstable; urgency=low

  * First upstream version.

 -- Raphael Bossek <bossekr@debian.org>  Thu, 05 Aug 1999 23:42:02 +0200
